#!/usr/bin/bash
# scripting_pkgs.sh
# created and copyrighted: 15 May 11
#
# author: Evsiz (evsiz@this-voice.org)
# The author releases this file under the GNU GPL
# license. See GNU's COPYING file for specifics.
#


# consts
PKGS=/var/log/packages/*

# code
echo "
scripting_pkgs - version 15may11
identifies pkgs with dependencies on:
  python, perl, rb, lua

Python:
"
grep -l \\.py$ $PKGS

echo "
Perl:
"
grep -l \\.p[lm]$ $PKGS

echo "
Ruby:
"
grep -l \\.rb$ $PKGS

echo "
Lua:
"
grep -l \\.lua$ $PKGS

